Package net.shibboleth.idp.plugin.authn.webauthn.context.navigate

# Class AttributeContextStringLookupStrategy

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent
net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent
net.shibboleth.idp.plugin.authn.webauthn.context.navigate.AbstractAttributeContextUserIdentityStrategy<String>
net.shibboleth.idp.plugin.authn.webauthn.context.navigate.AttributeContextStringLookupStrategy

All Implemented Interfaces:
  `Function<ProfileRequestContext,String>`, `Component`, `DestructableComponent`, `IdentifiableComponent`, `IdentifiedComponent`, `InitializableComponent`

@ThreadSafe public class AttributeContextStringLookupStrategy extends AbstractAttributeContextUserIdentityStrategy<String>
An `AbstractAttributeContextUserIdentityStrategy` that pulls out an `StringAttributeValue` from the attribute context. Will return `null` if the attribute can not be found, or if there is more than one attribute value.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`AttributeContextStringLookupStrategy()`

## Method Summary

Modifier and Type
Method
Description
`String`
`apply(ProfileRequestContext profileRequestContext)`

### Methods inherited from class net.shibboleth.idp.plugin.authn.webauthn.context.navigate.AbstractAttributeContextUserIdentityStrategy

`getAttribute, getAttributeId, isUseUnfilteredAttributes, setAttributeContextLookupStrategy, setAttributeId, setUseUnfilteredAttributes`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiableInitializableComponent

`setId`

### Methods inherited from class net.shibboleth.shared.component.AbstractIdentifiedInitializableComponent

`doInitialize, ensureId, getId, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### AttributeContextStringLookupStrategy

public AttributeContextStringLookupStrategy()

## Method Details

### apply

@Nullable public String apply(ProfileRequestContext profileRequestContext)